Subject: Re: [VCARDDAV] <vcards> element

From: Matthew Miller <[email-masked]>
Date: Thu, 16 Dec 2010 18:04:37 -0700

On Dec 14, 2010, at 17:26, Peter Saint-Andre wrote:

> On 12/14/10 3:03 PM, Simon Perreault wrote:
>> On 2010-12-14 16:58, Peter Saint-Andre wrote:
>>> Section 4 of draft-ietf-vcarddav-vcardxml-06 says:
>>> 
>>>   A top-level <vcards> element is used as root.  It contains one or
>>>   more <vcard> element, each representing a complete vCard.  The
>>>   <vcards> element MUST be present even when only a single vCard is
>>>   present in an XML document.
>>> 
>>> Does the same mandate apply to technologies that re-use vCard4 (e.g., XMPP)?
>> 
>> If you want to restrict to a single <vcard> element, I see two options:
>> 
>> a. Use a <vcards> element as root, and add "MUST NOT contain more than
>> one <vcard> element."
>> b. Use a <vcard> element as root.
>> 
>> I guess it would be safer to go with a., but I'm not aware of all your
>> constraints...
> 
> We'd probably prefer (b), because that's how we do things now:
> 
> http://xmpp.org/extensions/xep-0054.html
> 
> But we're working on a replacement for that and will figure out how
> we'll do it soon...

To further expand on this in terms of XMPP:

We're planning to reuse our publish/subscribe[1][2] mechanics for sharing this information, which already has a constrained wrapper (i.e. <item xmlns='http://jabber.org/protocol/pubsub/>).  Adding another constrained wrapper appears more verbose than we desire.

But, as stpeter said, we're still working on the successor to XEP-54.

- m&m

[1] XEP-0060:Pubslish-Subscribe <http://xmpp.org/extensions/xep-0060.html>
[2] XEP-0163: Personal Eventing Protocol <http://xmpp.org/extensions/xep-0163.html>